Bug 1120855 - Section 4.2.1. Configuring the Synchronization Host (procedure 4.11) has an ambiguous step.
Summary: Section 4.2.1. Configuring the Synchronization Host (procedure 4.11) has an a...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: David O'Brien
QA Contact: Hayley Hudgeons
URL:
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-07-17 21:23 UTC by Rich Jerrido
Modified: 2015-12-03 15:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-08 02:31:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1102766 None None None Never

Internal Links: 1102766

Description Rich Jerrido 2014-07-17 21:23:35 UTC
Description of problem:
In the Satellite 6 installation Guide [1], section 4.2.1, procedure 4.11, step 6 informs the user to 

"Generate a secret 32-character alphanumeric string for the oauth_secret entry in the /etc/pulp/server.conf file:" and provides:

"# tr -dc "[:alnum:]" < /dev/urandom | head -c 32 randomly_generated_value" 

as the command to run.  This should be placed on two lines as 'randomly_generated_value" represents the output from this command. It should read

"# tr -dc "[:alnum:]" < /dev/urandom | head -c 32 
randomly_generated_value" 


[1] - https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.0/html-single/Installation_Guide/index.html#sect-Disconnected_Satellite

Comment 1 RHEL Product and Program Management 2014-07-17 21:33:50 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Athene Chan 2014-07-18 00:07:23 UTC
Thanks Rich! I'll review this and line it up for the GA release of the documentation!

Comment 10 David O'Brien 2014-11-11 11:47:02 UTC
(In reply to Rich Jerrido from comment #0)
> Description of problem:
> In the Satellite 6 installation Guide [1], section 4.2.1, procedure 4.11,
> step 6 informs the user to 
> 
> "Generate a secret 32-character alphanumeric string for the oauth_secret
> entry in the /etc/pulp/server.conf file:" and provides:
> 
> "# tr -dc "[:alnum:]" < /dev/urandom | head -c 32 randomly_generated_value" 
> 
> as the command to run.  This should be placed on two lines as
> 'randomly_generated_value" represents the output from this command. It
> should read
> 
> "# tr -dc "[:alnum:]" < /dev/urandom | head -c 32 
> randomly_generated_value" 
> 
> 
> [1] -
> https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.0/html-
> single/Installation_Guide/index.html#sect-Disconnected_Satellite

This bug is a bit old, so I'm going through it piece by piece.

This update verified on portal version.

Comment 17 David O'Brien 2015-01-12 02:51:19 UTC
http://file.bne.redhat.com/~daobrien/Satellite6/Installation_Guide/#sect-Red_Hat_Satellite-Installation_Guide-Exporting_Content

Before I update anything further, I need to know if what's in the screen following "The output will look similar to: " is *actually* output or if it's two commands that the user is expected to enter.

I didn't write the original so I'm not sure. It looks suspiciously like two commands && output. If so, I'd change it:

1. Export the synchronized repositories: 
# katello-disconnected export -t /var/tmp/export

You can use the watch command to monitor the synchronization: [1]
# katello-disconnected watch

This produces output similar to the following:
Watching sync... (this may be safely interrupted with Ctrl+C)
running:
rhel-6-server-sam-rpms-6_4-x86_64

finished:
rhel-6-server-sam-rpms-6_4-x86_64
Watching finished
Done watching ...
 Copying content to /var/tmp/export
 Archiving contents of /var/tmp/export into 4600M tar archives.
 NOTE: This may take a while.
tar: Removing leading `/' from member names

Done exporting content, please copy /var/tmp/export/* to your disconnected host

[1] I don't know that this is even a synchronization. Aren't we just exporting content? If so, we should s/Watching sync/Watching export/ or something similar.

Comment 19 RHEL Product and Program Management 2015-04-21 16:11:09 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 21 Bryan Kearney 2015-08-13 16:39:36 UTC
David, so you still need info on this?

Comment 22 David O'Brien 2015-09-08 02:31:22 UTC
(In reply to Bryan Kearney from comment #21)
> David, so you still need info on this?

Bryan,

I think the outstanding parts of this bug have been made redundant by the following:

https://bugzilla.redhat.com/show_bug.cgi?id=1200617

Significant bits have been removed completely.

Closing this off.


Note You need to log in before you can comment on or make changes to this bug.